routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware'=>'auth'],function(){
	Route::get('/','BarangController@index');
	Route::resource('barang','BarangController');
	Route::resource('customer','CustomerController');
	Route::resource('transaksi','TransaksiController');
	Route::resource('report','ReportController');	
});

// Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

app/Barang.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Barang extends Model
{
    //
    protected $primaryKey = "id_barang";
    protected $table ="barang";

    public function tr_transaksi()
    {
    	return $this->belongsTo(TrTransaksi::class,'id_tr_transaksi');
    }

}

app/Http/Controllers/BarangController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Barang;

class BarangController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */


    public function index()
    {
        //
        $data['barang'] = Barang::paginate(10);
        return view('barang.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('barang.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $validatedData = $request->validate([
            'nama_barang' => 'required|max:255',
            'harga_jual' => 'required|numeric',
            'harga_beli' => 'required|numeric',
        ]);

        $barang = new Barang;
        $barang->nama_barang = $request->nama_barang;
        $barang->harga_jual = $request->harga_jual;
        $barang->harga_beli = $request->harga_beli;
        $barang->keterangan = $request->keterangan;
        $barang->save();

        return redirect('barang')->with('status','Data barang berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $data['barang'] = Barang::find($id);
        return view('barang.edit',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,$id)
    {
        //
        $validatedData = $request->validate([
            'nama_barang' => 'required|max:255',
            'harga_jual' => 'required|numeric',
            'harga_beli' => 'required|numeric',
        ]);

        $barang = Barang::find($id);
        $barang->nama_barang = $request->nama_barang;
        $barang->harga_jual = $request->harga_jual;
        $barang->harga_beli = $request->harga_beli;
        $barang->keterangan = $request->keterangan;
        $barang->save();
        
        return redirect('barang')->with('status','Data barang berhasil diupdate');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $barang = Barang::find($id);
        $barang->delete();

        return redirect('barang')->with('status','Data barang berhasil dihapus');

    }
}

resources/views/barang/create.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Create Barang
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Barang </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_barang" action="{{route('barang.store')}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
        @csrf

         <div class="form-group">
            <label class="col-form-label col-sm-2" for="nama_barang"> Nama Barang   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="nama_barang" name="nama_barang" value="{{old('nama_barang')}}" required="required" class="form-control">
            </div>
          </div>


          <div class="form-group">
              <label class="col-form-label col-sm-2" for="harga_beli"> Harga beli  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="harga_beli" name="harga_beli" value="{{old('harga_beli')}}" required="required" class="form-control">
              </div>
          </div>

          <div class="form-group">
            <label class="col-form-label col-sm-2" for="harga_jual"> Harga Jual  <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="harga_jual" name="harga_jual" value="{{old('harga_jual')}}" required="required" class="form-control">
            </div>
          </div>



           <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
            <textarea type="text" id="keterangan"  name="keterangan"   class="form-control">{{old('keterangan')}}</textarea>
            </div>
          </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('barang.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>
      </div>
    </div>
</div>
@endsection

resources/views/barang/edit.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Create Barang
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Barang </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_barang" action="{{route('barang.update',$barang->id_barang)}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
            {{ csrf_field() }}
            {{ method_field('PUT') }}
         <div class="form-group">
            <label class="col-form-label col-sm-2" for="nama_barang"> Nama Barang   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
            <input type="text" id="nama_barang" name="nama_barang" value="{{$barang->nama_barang}}" required="required" class="form-control">
            </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="harga_beli"> Harga beli  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="harga_beli" name="harga_beli" value="{{$barang->harga_beli}}" required="required" class="form-control">
              </div>
            </div>


          <div class="form-group">
            <label class="col-form-label col-sm-2" for="harga_jual"> Harga Jual  <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="harga_jual" name="harga_jual" value="{{$barang->harga_jual}}" required="required" class="form-control">
            </div>
          </div>

           <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
              <textarea type="text" id="keterangan"  name="keterangan"  class="form-control">{{$barang->keterangan}}</textarea>
            </div>
          </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('barang.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>
      </div>
    </div>
</div>
@endsection

resources/views/barang/index.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Master Barang
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Barang </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      @if (session('status'))
        <div class="alert alert-success">
            {{ session('status') }}
        </div>
      @endif

      <div  class="col-sm-12">
          <a class="btn btn-success" id="" href="{{route('barang.create')}}"><i class="fa fa-plus"></i> Tambah  </a>
      </div>
      <div class="x_content">
            <table id="" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title">Nama Barang </th>
                <th class="column-title"> Harga Jual </th>
                <th class="column-title"> Keterangan </th>
                <th class="column-title no-link last" width="150px;"><span class="nobr">Action</span>
                </th>
              </tr>
            </thead>
            <tbody>
              @php
                $no=1;   
              @endphp
              @foreach ($barang as $br)
                <tr>
                  <td>{{$no}}</td>
                  <td>{{$br->nama_barang}}</td>
                  <td>{{$br->harga_jual}}</td>
                  <td>{{$br->keterangan}}</td>
                <td> <a class="btn btn-primary" href="{{route('barang.edit',$br->id_barang)}}"> Edit </a>
                   {{-- <a class="btn btn-danger" href="{{url('barang/'.$br->id_barang)}}"> Delete </a>  --}}
                   <form action="{{ route('barang.destroy', $br->id_barang) }}" method="POST" style="display:inline">
                      {{ csrf_field() }}
                      {{ method_field('DELETE') }}
                      <button class="btn btn-danger btn-xs">
                        <span>DELETE</span>
                      </button>
                    </form>
                  
                  </td>
                </tr>    
                @php
                  $no++    
                @endphp
              @endforeach
              

            </tbody>
          </table>
      </div>
    </div>
</div>
@endsection